Subject: Re: bug#21012: 25.0.50; eww: last char of a line sometimes not fully visible

From: Eli Zaretskii <[email-masked]>
Date: Fri, 10 Jul 2015 17:43:45 +0300

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 10 Jul 2015 16:16:00 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > > FWIW, the whole thing is already displayed
> >
> > Then please try this change and see if it gives good results:
> >
> > --- lisp/net/shr.el~0	2015-05-10 07:23:55 +0300
> > +++ lisp/net/shr.el	2015-07-09 19:24:11 +0300
> 
> Unfortunately it doesn't work.  Rendering now fails with an error:
> 
> Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)

That's exactly what I expected.

> because `posn-at-point' returns nil as soon as point moves past
> `window-end'.

Yes, that's what I meant by "the relevant portion of the buffer [has]
to be displayed in some window".  If point is not visible,
posn-at-point will return nil.

It is easy to make the code fail gracefully in those cases, but that
would mean the problems this is trying to solve will be solved only in
some part of the buffer.  Which I think is worse than leaving them as
they are now.

> Obviously it's not as simple as I thought, not the whole buffer is
> "already displayed".  My bad.

So how about trying to take one more column from the width available
for filling?  Does that produce reasonable results?